com.abc.terminalfactory

## Class UsbTerminalProvider

- java.lang.Object
- - java.util.Dictionary<K,V>
  - - java.util.Hashtable<java.lang.Object,java.lang.Object>
    - - java.util.Properties
      - - java.security.Provider
        - - com.abc.terminalfactory.UsbTerminalProvider

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, java.util.Map<java.lang.Object,java.lang.Object>

      public class UsbTerminalProvider
      extends java.security.Provider

  The class is a provider for the terminal factory service. It has a name, a version number, and a description. It also has a property that points to the name of the SPI class that implements the terminal factory

  Example: TerminalFactory terminalFactory = TerminalFactory.getInstance("AbcUsb", UsbSmartCard.getInstance(this).getManager(), new UsbTerminalProvider());

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.security.Provider

      `java.security.Provider.Service`

  - ### Field Summary

    - ### Fields inherited from class java.util.Properties

      `defaults`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UsbTerminalProvider()`

  - ### Method Summary

    - ### Methods inherited from class java.security.Provider

      `clear, compute, computeIfAbsent, computeIfPresent, elements, entrySet, forEach, get, getInfo, getName, getOrDefault, getProperty, getService, getServices, getVersion, keys, keySet, load, merge, put, putAll, putIfAbsent, putService, remove, remove, removeService, replace, replace, replaceAll, toString, values`

    - ### Methods inherited from class java.util.Properties

      `getProperty, list, list, load, loadFromXML, propertyNames, save, setProperty, store, store, storeToXML, storeToXML, stringPropertyNames`

    - ### Methods inherited from class java.util.Hashtable

      `clone, contains, containsKey, containsValue, equals, hashCode, isEmpty, rehash, size`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### UsbTerminalProvider

          public UsbTerminalProvider()